## libglademm2.4 2.6.7

=== debian/changelog ===
libglademm2.4 (2.6.7-6) unstable; urgency=medium

  * New maintainer. (Closes: #885078, #896598)
  * Use multiarch paths, patch from Helmut Grohne. (Closes: #850873)
  * Switch from -dbg to -dbgsym.
  * Update the package descriptions for the deprecated status.
  * Switch to source format 3.0 (quilt).
  * debhelper compat 6 -> 7.

 -- Adrian Bunk <bunk@debian.org>  Fri, 31 Aug 2018 23:31:24 +0300

libglademm2.4 (2.6.7-5) unstable; urgency=medium

  * Team upload.
  * Rename libglademm-2.4-1c2a to libglademm-2.4-1v5 for the
    g++-5 ABI transition. (Starts transition: #795920)
    - bump build-dependency on gtkmm to a g++-5-transitioned version
  * Move source and library packages to oldlibs. libglade has been
    officially deprecated since 2009.

 -- Simon McVittie <smcv@debian.org>  Tue, 18 Aug 2015 07:30:19 +0100

libglademm2.4 (2.6.7-4) unstable; urgency=medium

  Brown paper bag release.
  * (svn) add debian/patch/series so patch(es) are actually applied
    - missing in last upload.
  * The new debian/patches/series also enables the old existing
    patch debian/patches/10_devhelp_index_path_fix.patch
    which was unused before but still looks valid and applies.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 09 Sep 2014 19:18:40 +0200

libglademm2.4 (2.6.7-3) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/control.in,
    debian/rules:
    + Remove the chrpath hack, it's been fixed in libtool.

  [ Josselin Mouette ]
  * Update repository URL.

  [ Daniel Schepler ]
  * Update libtool at build time using dh-autoreconf, in order to fix a
    build failure on x32. (Closes: #702355)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 09 Sep 2014 19:07:27 +0200

libglademm2.4 (2.6.7-2) unstable; urgency=low

  * `make -C examples clean` after `make install` to prevent shipping
    unexpected files.
  * Add README.Debian with instructions to build examples.
  * Update debian/copyright to conform to latest DEP 5.
    + Fix incorrect license.
    + Point to versioned license files.
  * Update Standard-Version to 3.8.1.
  * libglademm-2.4-dbg is in section debug as per new override.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Fri, 15 May 2009 21:21:24 +0800

libglademm2.4 (2.6.7-1) unstable; urgency=low

  [ Deng Xiyue ]
  * Refined debian/rules to set variables SHARED_PKG and DOC_PKG by sed
    from debian/control and use variable SHVER for shlibs version, and
    refine and reformat corresponding rules accordingly.
  * Fix section in doc-base reference.
  * Add `DM-Upload-Allowed: yes' field.  Thanks Loïc for advocacy.
  * Add dpkg-dev >= 1.14.16 to Build-Depends for DM usage.
  * Remove doc-base from Build-Depends as it's not b-deped on.
  * Add ${shlibs:Depends} to all Depends fields as recommended.
  * Use machine-interpretable format for debian/copyright.
  * Use chrpath to get rid of rpath on 64bit machines.  Build-Depends on
    chrpath accordingly, and add rules to debian/rules.
  * New upstream release.  Only Windoze build improvement and more examples.
  * Update Standard-Version to 3.8.0.  No change needed.

  [ Loic Minier ]
  * Properly anchor package name regexp.
  * Fix package names regexp s/glad/glade.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Wed, 24 Sep 2008 21:49:22 +0800

libglademm2.4 (2.6.6-1) unstable; urgency=low

  * New upstream release.
    + Bump libglade2-dev dependency to >=1:2.6.1 as per configure.in.
    + Upstream no longer ships empty README file, so remove corresponding
      exclude rules from debian/rules.
  * Correct copyright holder and correct license pointer to
    /usr/share/common-licenses/LGPL-2.1 in debian/copyright.
  * Refined debian/watch to check for number based version, and update
    watch version to 3.
  * Bump compat level to 6, let debhelper >= 6 accordingly, and let
    cdbs >= 0.4.51 to avoid empty -dbg bug.
  * Remove 70_relibtoolize.patch, as it is seemed unneeded now.
  * Change libgtkmm-2.4-dev dependency to >= 1:2.6.0 as per upstream configure
    script, and drop the -1 postfix as per lintian.
  * Add ${shlibs:Depends} to -dev package.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Wed, 13 Feb 2008 20:52:01 +0800

libglademm2.4 (2.6.5-4) unstable; urgency=low

  [ Deng Xiyue ]
  * debian/copyright:
    + Update download URL.
    + Update upstream authors' email addresses.
  * debian/rules:
    + Add DEB_DH_INSTALL_SOURCEDIR := debian/tmp, so *.install files can
      be shortened.
    + Refine exclude rules again.
    + Add an extra rule to exclude empty examples/README to make lintian happy.
  * debian/*.install:
    + Refined to the shortened form.
  * debian/libglademm-2.4-doc.examples
    + Resurrected, or examples won't be installed. My bad :(

  [ Loic Minier ]
  * Wrap conflicts and replaces.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Mon, 17 Dec 2007 16:55:14 +0800

libglademm2.4 (2.6.5-3) unstable; urgency=low

  * debian/control, debian/control.in:
    + Bump standard version to 3.7.3. No change required.
    + Bump cdbs version to >= 0.4.41, reason given below.
    + Suggests -doc in -dev with version for new doc path, and
      don't Suggests -dev in -doc.
  * libglademm-2.4-doc.{docs,examples}:
    - Dropped in favor of libglademm-2.4-doc.install.
  * libglademm-2.4-doc.install:
    + Add docs installation here.
  * Add libglademm-2.4-doc.links to symlink the original path of docs.
  * debian/libglademm-2.4-doc.doc-base.libglademm2.4-reference:
    + Fix path for new doc path.
  * debian/patches:
    + Add 10_devhelp_index_path_fix.patch
  * debian/rules:
    + Add LDFLAG "-Wl,--as-needed" to reduce unneeded shlibs dependencies.
    + Let examples be compressed.
    + Directly specify LDFLAG instead of using DEB_CONFIGURE_SCRIPT_ENV
      which might override existing LDFLAGS settings, which is supported
      since cdbs >= 0.4.41, hence bump its dependency. Thanks Loïc Minier.

