=== debian/control ===
Source: libglademm2.4
Section: oldlibs
Priority: optional
Maintainer: Adrian Bunk <bunk@debian.org>
Homepage: http://www.gtkmm.org/
Build-Depends: cdbs (>= 0.4.93~),
               debhelper (>= 8.1.3),
               dpkg-dev (>= 1.14.16),
               gnome-pkg-tools (>= 0.11),
               libglade2-dev (>= 1:2.6.1),
               libgtkmm-2.4-dev (>= 1:2.24.4-2~),
               dh-autoreconf,
               gcc (>= 4:5.2),
Standards-Version: 3.8.1

Package: libglademm-2.4-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libglademm-2.4-1v5 (= ${binary:Version}),
         libglade2-dev (>= 1:2.6.1),
         libgtkmm-2.4-dev (>= 1:2.6.0)
Suggests: libglademm-2.4-doc
Description: C++ wrappers for libglade2 (development files)
 Libglade is a library which enables an application to build its graphical
 interface from an XML file (generated by Glade) at runtime. libglademm is
 the C++ wrapper for libglade.
 .
 libglade and libglademm have been deprecated since 2009. New code should
 use GtkBuilder (part of Gtk 3), or its C++ wrapper in gtkmm.
 .
 This package contains development files.
 .
 This package is for legacy applications and no longer used by GNOME.

Package: libglademm-2.4-1v5
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libglademm-2.4-1,
           libglademm-2.4-1c2,
           libglademm-2.4-1c2a,
Replaces: libglademm-2.4-1,
          libglademm-2.4-1c2,
          libglademm-2.4-1c2a,
Description: C++ wrappers for libglade2 (shared library)
 Libglade is a library which enables an application to build its graphical
 interface from an XML file (generated by Glade) at runtime. libglademm is
 the C++ wrapper for libglade.
 .
 libglade and libglademm have been deprecated since 2009. New code should
 use GtkBuilder (part of Gtk 3), or its C++ wrapper in gtkmm.
 .
 This package contains shared libraries.
 .
 This package is for legacy applications and no longer used by GNOME.

Package: libglademm-2.4-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
         doc-base,
         lynx | www-browser
Suggests: libglibmm-2.4-doc (>= 2.14.2-3),
          libgtkmm-2.4-doc (>= 1:2.12.3-1)
Conflicts: libglademm-2.4-dev (<< 2.6.5-1)
Replaces: libglademm-2.4-dev (<< 2.6.5-1)
Description: C++ wrappers for libglade2 (documentation)
 Libglade is a library which enables an application to build its graphical
 interface from an XML file (generated by Glade) at runtime. libglademm is
 the C++ wrapper for libglade.
 .
 libglade and libglademm have been deprecated since 2009. New code should
 use GtkBuilder (part of Gtk 3), or its C++ wrapper in gtkmm.
 .
 This package contains reference documentation and examples.
 .
 This package is for legacy applications and no longer used by GNOME.
